<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.smarking.mapper.report.reportclass.MsrClassSectionMapper">
    <!--综合报告-分数段统计列表-->
    <select id="listClassForFsd" resultType="java.util.Map">
        select ${sql}
        where cs.examid=#{params.examid} and cs.subjectid=#{params.subjectid}
        and cs.type=#{params.type} and cs.reportcode=#{params.reportcode}
        <foreach collection="params.classids" item="classid" open="and classid in (" close=")" separator=",">
            #{classid}
        </foreach>
    </select>
</mapper>
